Create a new site

Use this endpoint to create a new site.

The new site can either be an initial draft site which has no associated ready version or
it can be a draft of an existing ready site.

The body of the request should contain the metadata for the new site.
This metadata should include the site 'name', 'linkedDocId' is optional, 'id' is optional.
If 'linkedDocId' is provided, then the site created will be a draft of the ready site specified in 'linkedDocId'.
If 'linkedDocId' is not provided, then the site created will be an initial draft site i.e no ready version exists yet.
If ID is provided, and a draft of the default site is being created it must start with default.
'linkedDocId' must be set to 'default'.

User roles: admin, manager, editor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

If ‘copySourceSiteId’ is specified when creating a site then a new site is created and all the pages from the source site are copied into the new site.

Body Params

The metadata for the new site

Create Site Metadata

string

The ID of the site. If creating a draft of the default site the id must start with default.

string

The linkedDocId for draft sites. This is an optional field, if provided specify the ID of the ready site to create a draft of.

string

The name of the site. This is a required field.

string

The status of the site metadata (i.e. draft)

string

The is routingMode the routing mode for the site, values are either 'anchor' or 'path'. The property controls the URL structure that is used to address individual pages within the site. With a routing mode of 'anchor' pages are addressed by URL anchors that are relative to the site root document, for example 'https://your.host/#/products'. With a routing mode of 'path' pages are addressed by URL path fragments instead of '#' anchors, for example 'https://your.host/products'. The 'path' mode is recommended for allowing external search crawlers to index the pages as separate documents.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json